[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.FontChanged

Handles changes to the font used in the control.

## Declaration

Source position: stdctrls.pp line 804

`protected procedure TCustomEdit.FontChanged(`
`Sender: TObject`
`); override;`

## Arguments

`Sender` |  | Object for the event notification.

## Description

FontChanged is an overridden method in TCustomEdit. It ensures that the Font used for an emulated TextHint display is (re-)created when visible by calling CreateEmulatedTextHintFont.

FontChanged calls the inherited method to set flags in the control, and to perform notifications of the changed value to any child controls. The hint font is freed when the inherited method is completed.

FontChanged is assigned as the OnChange event handler for the TFont class instance in the Font property.

## See also

TCustomEdit.TextHint |  | Default hint text shown when the Text property is empty for the control.
TWinControl.FontChanged |  | Implements the event handler signalled when the Font has been changed for the control.
TControl.Font |  | The font to be used for text display in this control.
CreateEmulatedTextHintFont |  | Gets the font instance used for an emulated TextHint display.